js warnings on start of Firefox brought up by places
Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.9a5pre) Gecko/20070520 Minefield/3.0a5pre

On trunk I'm not able to add any Live Bookmark. Following js warning are visible by starting Fx and trying to add a Live Bookmark:

Warning: trailing comma is not legal in ECMA-262 object initializers
Source File: chrome://browser/content/browser.js
Line: 273
Source Code:
}; 

Warning: trailing comma is not legal in ECMA-262 object initializers
Source File: chrome://browser/content/browser.js
Line: 273
Source Code:
}; 

Warning: function PC_setBookmarksToolbarFolder does not always return a value
Source File: chrome://browser/content/places/controller.js
Line: 968, Column: 2
Source Code:
  }, 

Warning: trailing comma is not legal in ECMA-262 object initializers
Source File: chrome://browser/content/places/treeHelpers.js
Line: 295
Source Code:
}; 

Warning: reference to undefined property this._anno
Source File: chrome://browser/content/places/toolbar.xml
Line: 218